include("michalewics.jl")

n = 2
m = 25n

lb = [-pi; pi]
ub = [ pi; pi]

LB = repmat(lb,1,m)
UB = repmat(ub,1,m)

X  = LB + rand(n,m).*(UB - LB)
F  = zeros(m)
for i = 1:m
	F[i] = michalewics(X[:,i])
end

k = 0
maxit = 100

while k <= maxit
	ind  = randperm(m)[1:(n+1)]
	xbar = sum(X[:,ind[1:n]],2)/n
	y    = 2xbar - X[:,ind[n+1]]
	fy   = michalewics(y)
	indF = sortperm(F)
	if fy < F[indF[m]]
		F[  indF[m]] = fy
		X[:,indF[m]] =  y
	end
	k = k+1
	@printf("%5d %13.6e %13.6e %13.6e\n",k,minimum(F),maximum(F),maximum(F)-minimum(F))
end

















