#=
model;

param n;
param xstar{1..n};

var x{1..n} >= -5, <= 5;

minimize fun: sum{i in 1..n}0.025*n*(x[i]-xstar[i])^2 +
                 sin(sum{i in 1..n}((x[i]-xstar[i])+(x[i]-xstar[i])^2))^2 +
                 sin(sum{i in 1..n}(x[i]-xstar[i]))^2;

data;

param n := 2;
#param n := 5;
#param n := 10;
#param n := 20;
#param n := 50;

let{i in 1..n: i mod 2 == 0} xstar[i] :=  (i/n)*4 - 0.5;
let{i in 1..n: i mod 2 == 1} xstar[i] := -(i/n)*4 - 0.5;
=#

function pinter1(x::Array)
	n = length(x)
	xstar = zeros(n)
	for i = 1:n
		if (i%2 == 0)
			xstar[i] =  (i/n)*4 - 0.5
		else
			xstar[i] = -(i/n)*4 - 0.5
		end
	end

	a = 0
	b = 0
	c = 0
	for i = 1:n
		a = a + 0.025*n*(x[i]-xstar[i])^2 
		b = b + ((x[i]-xstar[i])+(x[i]-xstar[i])^2)
		c = c + (x[i]-xstar[i])
	end

	return a + sin(b)^2 + sin(c)^2
end


