#=
model;

param n;
param pi := 4*atan(1);

var x{1..n} >= -5.12, <= 5.12;

minimize fun: 10.0*n + sum{i in 1..n}((x[i]+2.56*sqrt(2))^2 -10*cos(2*pi*(x[i]+2.56*sqrt(2))));

data;

#param n := 2;
param n := 5;
#param n := 10;
#param n := 20;
#param n := 50;

=#

function rastrigin(x::Array)
	n = length(x)

	a = 0
	for i = 1:n
		a = a + ((x[i]+2.56*sqrt(2))^2 -10*cos(2*pi*(x[i]+2.56*sqrt(2))))
	end
	
	return 10*n + a
end

